刪除 Seedance 材質資產群組
curl --request DELETE \
--url https://api.tokenlab.sh/v1/videos/assets/groups/{groupId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tokenlab.sh/v1/videos/assets/groups/{groupId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tokenlab.sh/v1/videos/assets/groups/{groupId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deleted": true,
"id": "group-20260720123456-vrt01"
}{
"error": {
"message": "Invalid API key provided",
"type": "invalid_api_key"
}
}{
"error": {
"message": "API key not found",
"type": "invalid_request_error"
}
}{
"error": {
"message": "An internal error occurred",
"type": "server_error"
}
}{
"error": {
"message": "Seedance material library request failed",
"type": "server_error",
"code": "seedance_material_library_request_failed"
}
}視頻與素材
刪除素材資源群組
刪除當前組織擁有的 Seedance 素材群組。
DELETE
/
v1
/
videos
/
assets
/
groups
/
{groupId}
刪除 Seedance 材質資產群組
刪除素材群組及其內部的 TokenLab 素材資源。此操作無法復原。
若 TokenLab 素材庫因當前的授權狀態不允許而無法完成刪除,TokenLab 將返回一個中性的素材庫錯誤。刪除後,該群組及其資源將無法再用於影片生成。
project_name 用於同一組織內的資源隔離,預設為 default。相關素材群組和素材須使用相同且區分大小寫的值;POST/PUT 在 JSON 請求主體中傳入,GET/DELETE 在查詢參數中傳入。
請求範例
curl "https://api.tokenlab.sh/v1/videos/assets/groups/group-20260720123456-vrt01?project_name=default" \
-X DELETE \
-H "Authorization: Bearer $TOKENLAB_API_KEY"
回應範例
{
"deleted": true,
"id": "group-20260720123456-vrt01"
}